// Author: Juan Carlos De Abreu (jcabreur@gmail.com)
//
// This file define a class inherent from Control that allow make the
// container of elements of a window.

#ifndef GUI_FRAME_H__
#define GUI_FRAME_H__

#include "../global.h"
#include "control.h"

BEGIN_TEG_NAMESPACE();
BEGIN_NAMESPACE(gui);

class Frame : public Control {
 public:
  // Frame constructor and destructor.
  Frame(int x, int y, int width, int height);
  ~Frame();

  // Method to display the frame.
  virtual void Render() const;

 protected:
  // Frame attibutes, flags to know if the frame have title and if have a close
  // button.
  bool contain_a_title_;
  bool contain_a_close_button_;
};

END_NAMESPACE(gui);
END_TEG_NAMESPACE();

#endif  // GUI_FRAME_H__
